1. Export
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
      GET
    • Get Order Status
      GET
    • Creates order json
      POST
    • Order mailboxes (json)
      POST
    • Process the Order
      POST
    • Create Order
      POST
    • Add mailboxes to a subscription
      POST
  • Mailboxes
    • Get mailboxes for user
    • Get mailbox details by id
    • Get Mailbox Admin Details
    • Update mailbox details
    • Remove mailbox
  • Subscriptions
    • 1+ Year Subscriptions
      • One Plus Year Subscription Overview
      • Subscription Recreation
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Mailbox Events
      • Prewarmup Events
      • Domain Events
      • Subscription Events
  • Export
    • Platform
      • Platform Exports API
      • Get Connected Platforms
      • Add Platform Credentials
      • Remove Platform Credential
      • Export Mailboxes
    • Re-export a mailbox (Oauth)
      POST
  • Pre-warmup
    • Sandbox
      • Sandbox Pre-Warmup Integration
      • [SANDBOX] - Get All Pre-Warmup Mailboxes
      • [SANDBOX] - Order Pre-Warmup Mailboxes
      • [SANDBOX] - Reset Pre-Warmup Data
    • Get All Pre-Warmup Mailboxes
    • Order Pre-Warmup Mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Export

Re-export a mailbox (Oauth)

POST
/mailboxes/oauth
This endpoint triggers a re-export of an existing mailbox using OAuth-based authentication.
The request supports OAuth configurations for providers such as Microsoft and Google and requires the target mailbox ID along with the associated email address.
Rate Limit:
Re-export requests are limited to 3 times per mailbox per week. If this limit is exceeded, requests will be rejected, regardless of whether they are initiated via the API or the dashboard.

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Header Params

Body Params application/json

Example
{
   "microsoftOauthRoute": "",
    "google": {
        "googleOauthRoute": "https://accounts.google.com/o/oauth2/v2/auth/oauthchooseaccount?access_type=offline...",
        "clientId": "549360251880-maeh4okn7btu9cjtf0l2bt1t5b22sbf8.apps.googleusercontent.com",
        "appName": "Outreach App"
    },
    "mailboxId": "39XXMZ1SQMMWWPN2GCRB0Q78KZAR", // OR use mailbox email
    "email": "john@doe.com"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://customers.coldmailreseller.com/api/v1/integration/mailboxes/oauth' \
--header 'cmr-x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
   "microsoftOauthRoute": "",
    "google": {
        "googleOauthRoute": "https://accounts.google.com/o/oauth2/v2/auth/oauthchooseaccount?access_type=offline...",
        "clientId": "549360251880-maeh4okn7btu9cjtf0l2bt1t5b22sbf8.apps.googleusercontent.com",
        "appName": "Outreach App"
    },
    "mailboxId": "39XXMZ1SQMMWWPN2GCRB0Q78KZAR", // OR use mailbox email
    "email": "john@doe.com"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "status": 200,
    "message": "OAuth wil be performed performed shortly",
    "data": null,
    "actionId": "ACT_7a078272-0fa7-4db4-a85b-c78697dacea1"
}
Modified at 2026-06-23 16:21:02
Previous
Export Mailboxes
Next
Sandbox Pre-Warmup Integration
Built with